function regularname = myregularnames(THIS)
% MYREGULARNAMES  [Not a public function] IDs of non-identity transition variables.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

regularname = find(THIS.nametype == 2);
identname = THIS.ident;
identname(isnan(identname)) = [];
regularname = setdiff(regularname,identname);

end
